public static interface PahoMqtt5EndpointBuilderFactory.PahoMqtt5Builders
| Modifier and Type | Method and Description |
|---|---|
default PahoMqtt5EndpointBuilderFactory.PahoMqtt5EndpointBuilder |
pahoMqtt5(String path)
Paho MQTT 5 (camel-paho-mqtt5)
Communicate with MQTT message brokers using Eclipse Paho MQTT v5
Client.
|
default PahoMqtt5EndpointBuilderFactory.PahoMqtt5EndpointBuilder |
pahoMqtt5(String componentName,
String path)
Paho MQTT 5 (camel-paho-mqtt5)
Communicate with MQTT message brokers using Eclipse Paho MQTT v5
Client.
|
default PahoMqtt5EndpointBuilderFactory.PahoMqtt5EndpointBuilder pahoMqtt5(String path)
paho-mqtt5:topic
Path parameter: topic (required)
Name of the topicpath - topicdefault PahoMqtt5EndpointBuilderFactory.PahoMqtt5EndpointBuilder pahoMqtt5(String componentName, String path)
paho-mqtt5:topic
Path parameter: topic (required)
Name of the topiccomponentName - to use a custom component name for the endpoint
instead of the default namepath - topicApache Camel